#ifndef __BACKGROUND__
#define __BACKGROUND__
#include <libps.h>
#include "GraphicPrim.h"
#include "PersonManager.h"
#include "SoundEffects.h"

/* This file covers the generation of the background. The background is
scrolled according to the rotation angle of the person. 
The foreground and the level is also managed here*/

// Initializes the Sprites and so
void InitializeBackground();


// Draws back and foregrounf
void DrawBackground();

// Sets the timer wtih the amount of seconds for this level
void InitializeTime(short seconds);

// Rwturns one if time is over
int IsOver();


// Sets the animation type (see Level Manager for details)
void SetAnimation(short animate);

// Needed for the puase
void EnterPause();

// Leaves the pasue mode
void ExitPause();


#endif