#ifndef __FILEIO__
#define __FILEIO__
/** This file is for file access on the PC and on the Playstation
	CD-ROM to load the default wavetable information */

#include <MWDebugIO.h>
#include <libps.h>

static void *LoadCDFile(char *filename);

// Loads an arbitrary file form the PC
void *LoadFile(char *filename);

// Loads the default wavetables from CD and returns the soundbank
int LoadDefaultWaveTables();


#endif