#ifndef __JoyPad__
#define __JoyPad__
#include <libps.h>

void InitializePads();

// Poll pad status
void RequestPads();

int Right();
int Left();
int Up();
int Down();

// Left and right direction buffered
int BuffLeft();
int BuffRight();
int Cross();

int Circle();
int Square();
int Triangle();

// Stop and select are buffered
int Stop();
int Select();

// L1 and L2 are asked parallel
int LeftBlock();
int RightBlock();


#endif