#ifndef __LevelManager__
#define __LevelManager__

#include <libps.h>
#include "SettingManager.h"
#include "PersonManager.h"
#include "GraphicPrim.h"


#define NumberLevels 15

/* This module performs the overall management of an Level.
	It has the possibility to construct a level, and to receive 
	input data as required movement possibilities. */
	

// Performs all necesarry initializations for one level
// Level zero is the first level
void InitializeLevel(int number);




// Plays the level Return value 1: Level won 0: Level lost.
int PlayLevel();




#endif