#ifndef __PersonManager__
#define __PersonManager__

#include <libps.h>
#include "BoxManager.h"
#include "SettingManager.h"


/* This module watches the movement and the actions of the
	person. The viewing is also set in here. */


// Sets the person at this position during the game	
void InitializePerson(unsigned short xcoord,unsigned short ycoord);

// All standard movements
void TurnRight();

void TurnLeft();

void WalkFront();

void WalkBack();

void SlideRight();

void SlideLeft();

void PushBox();


// Makes the person jump
void Jump();


// Retruns the viewiwng angle (horrizontal)
long getRotation();

// Returns the vertical angle
long getVertical();
#endif